package cn.net.caoyao.cpzshandset.service.presenter.tools;

import android.content.Context;
import android.content.Intent;
import cn.net.caoyao.cpzshandset.common.config.HandsetVersionConstant;
import cn.net.caoyao.cpzshandset.service.presenter.OptionHisListStyleConstact;
import cn.net.caoyao.cpzshandset.service.presenter.SingleLabelScannerConstact;
import cn.net.caoyao.cpzshandset.service.presenter.impl.bing.replenish.jinLiquor.JinLiquorReplenishBingListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.bing.replenish.jinLiquor.JinLiquorReplenishBingSingleLSPresenter;

public class BingConfigCreateTools {
	/**
	 * 创建产品列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param pLView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createReplenidhBingListPresenter(int handsetVersionMode, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		OptionHisListStyleConstact.Presenter presenter = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_JIN_LIQUOR_VERSION_MODE:
			//劲酒
			presenter = new JinLiquorReplenishBingListPresenter(hisView, context,intent);
			break;
		}
		return presenter;
	}
	
	/**
	 * 获取专柜销售扫码的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createReplenidhBingSingleLabelScannerPresenter(int handsetVersionMode, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		SingleLabelScannerConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_JIN_LIQUOR_VERSION_MODE:
			//劲酒
			presenter = new JinLiquorReplenishBingSingleLSPresenter(sView, context, intent);
			break;
		}
		return presenter;
	}
	
}
